//	LN^LCD I2CA_v^FfoCXeXgp̃}X^[vO
//	wt]xH쎺	http://jsdiy.web.fc2.com

/*
y|[gΉz	ATmega88P	x:݂Ȃ(PC6RESET) -:
bit		7	6	5	4	3	2	1	0
portB	-	-	-	-	-	-	-	-		--
portC	x	x	SCL	SDA	-	-	-	-		TWI(I2C)
portD	-	-	-	-	-	-	-	-		--

yATmega88Pz
|CCCCCC---BBBBB|
|543210GRV54321|
>              |
|601234VG675670|
|CDDDDD--BBDDDB|

yq[Yrbgz(ftavrw.exe -rf)	Hoאݒ Low:01100010(62), Hi:11011111(DF)
Low: 11100010 (E2)
     ||||++++-- CKSEL[3:0] VXeNbNI
     ||++-- SUT[1:0] N
     |+-- CKOUT (0:PB0ɃVXeNbNo)
     +-- CKDIV8 NbNl (1:1/1, 0:1/8)

High:11-11111 (DF)
     |||||+++-- BODLEVEL[2:0] (111:, 110:1.8V, 101:2.7V, 100:4.3V)
     ||||+-- EESAVE (EEPROM 1:, 0:ێ)
     |||+-- WDTON (1:WDTʏ퓮, 0:WDT펞ON)
     ||+-- SPIEN (1:ISP֎~, 0:ISP) Parallel̂
     |+-- DWEN (On-ChipfobO 1:, 0:L)
     +-- RSTDISBL (RESETs 1:L, 0:(PC6))

Ext: -----001 (F9)
     ||+-- BOOTRST f[^V[gQ
     ++-- BOOTSZ[1:0] f[^V[gQ

yrhz
Atmel Studio 6 (Version: 6.0.1996 - Service Pack 2)
AVR Toolchain 8 Bit / Version: 3.4.1.830 - GCC  4.6.2
ATmega88P  8MHzi8MHz/Ȃj	œKIvV: -Os

yXVz
2014/01/18	v1.00	
	Program Memory Usage 	:	1012 bytes   12.4 % Full
	Data Memory Usage 		:	8 bytes   0.8 % Full
*/

#include <avr/io.h>
#include <util/delay.h>
#include "I2cCharLcdLib.h"

//X[uAhX7bit+R/W
#define	SLAVE_ADDRESS	(0b0111100 << 1)

int main(void)
{
	uint8_t i;
	
	_delay_ms(100);	//X[ufoCX(I2C-LCD)̗オ҂
	
	TWI_BusSpeed(TWI_BUSSPEED_CPU8MHz_SCL100kHz);
	I2CCHARLCD_Init(SLAVE_ADDRESS, 10, 2);
	I2CCHARLCD_SetLineMode(LCD_LINEMODE_COMBINE | LCD_LINEMODE_OVERWRITE, LCD_CURSOR_ON);
	I2CCHARLCD_PutChar('M');
	I2CCHARLCD_PutByte(0xFF);
	I2CCHARLCD_PutWord(0x1A2B);
	I2CCHARLCD_PutUInt(65535);
	I2CCHARLCD_PutInt(-32768);
	for (i = 0; i < 30; i++) _delay_ms(100);	//3b҂i㏑fmɌ悤Ɂj
	I2CCHARLCD_PutString("abcdef");
	
	return 0;
}
